Subject: Re: bug#48924: Add systemd

From: Tony O <[email-masked]>
Date: Wed, 09 Jun 2021 18:08:17 +0000

Hi,

Yes, it is based on mbakke's work, I updated the version to latest stable and fixed the new errors :)

I'm quite happy to keep it outside guix if it's not deemed suitable, I was just encouraged to upstream stuff rather than keep things to myself.

My usecase at least doesnt require regular updating, so for things dependent on just "a libsystemd" this would work fine.

Whatever happens happens!
Best,
ix
\-------- Original Message --------
On 9 Jun 2021, 18:42, Ludovic Courtès < [email-masked]> wrote:

>
>
>
> Hi Tony!
>
> Tony O <[email-masked]> skribis:
>
> > From f2c7d9f76ab8f2dcaaf8d4fdfb1f050fdb04c588 Mon Sep 17 00:00:00 2001
> > From: Tony Olagbaiye <[email-masked]>
> > Date: Tue, 8 Jun 2021 17:15:02 +0100
> > Subject: \[PATCH\] gnu: Add systemd
> >
> > ---
> > gnu/packages/freedesktop.scm \| 222 +++++++++++++++++++++++++++++++++++
> > 1 file changed, 222 insertions(+)
>
> Woow, quite a piece of work! Is this based on Marius’ earlier work?
> https://lists.gnu.org/archive/html/guix-devel/2018-04/msg00001.html
>
> The policy for Guix is to accept free software packages; this one
> clearly fits the bill.
>
> Now, it would be unusable, unless/until Guix System supports systemd (an
> option I do not support). For example, ‘guix install systemd’ wouldn’t
> be of any use, right?
>
> All in all, with my co-maintainer hat on, it seems to me that the
> maintenance cost would be high (because it’s a large piece of software
> that evolves very quickly), for a package that’d be practically
> unusable, so I’d lean towards not including it.
>
> WDYT?
>
> Thanks,
> Ludo’.
>